Quickstart
To get started with the Boom API, follow these 3 steps:
1. Generate an access key and a secret key using the Boom Partner Platform
In the Boom Partner Platform, navigate to "Settings" -> "Developers" to generate an access key and a secret key.
Make sure to save the secret key after you generate it, as you won't be able to view it again in the Partner Platform.
2. Exchange your access key and secret key for an API token.
curl --location --request POST 'https://api.sandbox.boompay.app/partner/v1/authenticate' \
--header 'Content-Type: application/json' \
--data-raw '{
"access_key": "sample-access-key",
"secret_key": "sample-secret-key"
}'3. Create a customer authentication token and sync with Boom's user database
curl --location --request POST 'https://api.sandbox.boompay.app/partner/v1/customers' \
--header 'Authorization: Bearer <API_token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"first_name": "John",
"last_name": "Doe",
"email": "[email protected]",
"phone": "12345678910"
}'4. (Optional) Create an enrollment
In case you would like to enhance user experience by prefilling required data on behalf of the customer, you can send available data before customers start their flow. Customers will see those fields prefilled and it will simplify the enrollment flow. Note: customer_id and address are required fields, others optional
curl --location --request POST 'https://api.sandbox.boompay.app/partner/v1/enrollments' \
--header 'Authorization: Bearer <API_token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"customer_id": "ID", # from the previous call
"move_in_date: "2024-01-21",
"lease_end_date": "2025-01-21" ,
"lease_month_to_month": false, # either month to month or lease end date
"monthly_rent_amount": 1234,
"address": {
"address1": "123 Main St",
"address2": "Unit B",
"city": "New York",
"state_or_province": "NY",
"postal_code": "12345"
}'5. (Optional) Submit an enrollment
In the case that you have all of the nessecary information for enrollment you can provide all the data points required for enrollment, customers will skip enrollment flow and once the SDK is loaded the customer will land on the dashboard. Note: in order to submit enrollment, all the fields, including optional ones in create enrollment API need to be filled. Refer to API reference in order to see how to patch optional fields.
curl --location --request POST 'https://api.sandbox.boompay.app/partner/v1/enrollments/:enrollment_id/enroll' \
--header 'Authorization: Bearer <API_token>' \
--header 'Content-Type: application/json' \
}'Email and phone must be unique, meaning neither element should be present in Boom's system.